## org.eclipse.emf.codegen.jet
Interface JETCoreElement

All Known Implementing Classes:
  JETParser.Directive, JETParser.Expression, JETParser.QuoteEscape, JETParser.Scriptlet

    public interface JETCoreElement

The core elements we recognize; these are stateless abstractions that represent the parsing action for a core tag.

Method Summary
`boolean` `accept(JETParseEventListener listener, JETReader reader, JETParser parser)` Return true if the input contained the sequence that matched the action corresponding to this core tag.

Method Detail

### accept

    boolean accept(JETParseEventListener listener,
                   JETReader reader,
                   JETParser parser)
                   throws JETException

  Return true if the input contained the sequence that matched the action corresponding to this core tag.

  Throws:
    `JETException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.